﻿@using AdminCaja.Areas.Admin.Models
@using AdminCaja.Areas.Admin.Models.Services

@model PaggedData<ServiceListViewModel>


<!-- ============================================================== -->
<!-- Bread crumb and right sidebar toggle -->
<!-- ============================================================== -->
<div class="row page-titles">
    <div class="col-md-5 col-8 align-self-center">
        <h3 class="text-themecolor m-b-0 m-t-0">Servicios</h3>
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="/Admin">Inicio </a></li>
            <li class="breadcrumb-item active">Servicios</li>
        </ol>
    </div>
</div>
<!-- ============================================================== -->
<!-- End Bread crumb and right sidebar toggle -->
<!-- ============================================================== -->
<!-- ============================================================== -->
<!-- Start Page Content -->
<!-- ============================================================== -->
<div class="row">
    <!-- column -->
    <div class="col-lg-12 help-content">
        <div id="" class="card wow slideInRight" data-wow-delay=".3s" data-wow-offset="300">
            <div class="perfil-head"></div>
            <dir class="row">
                <div class="col-lg-8"></div>
                <div class="col-lg-4">
                    <p>@Html.ActionLink("Agregar servicio", "NewService", null, new { @class = "btn btn-success" })</p>
                </div>
            </dir>
            <div class="card-block">
                <div class="table-responsive">
                    <nav aria-label="Page navigation example">
                        <ul class="pagination justify-content-end">
                            <li class="page-item res-per-page">Página <strong>1/1</strong></li>
                            <li class="page-item res-per-page">Resultados por página</li>
                            <li class="page-item ">
                                <select name="resurlt" form="">
                                    <option value="10">10</option>
                                    <option value="20">20</option>
                                    <option value="30">30</option>
                                    <option value="40">40</option>
                                </select>
                            </li>
                        </ul>
                    </nav>
                    <br>
                    <table>
                        <thead>
                            <tr>
                                <th scope="col">ID</th>
                                <th scope="col">Título</th>
                                <th scope="col">Acciones</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach (var item in Model.Data)
                            {
                                <tr>
                                    <td data-label="Título">@item.Id</td>
                                    <td data-label="Título">@item.Title</td>
                                    <td class="comandos" data-label="Acciones">
                                        @Html.ActionLink("Editar", "EditService", new { Id = item.Id }, new { @class = "btn btn-export" })
                                        @Html.ActionLink("Eliminar", "DeleteService", new { Id = item.Id }, new { @class = "btn btn-export", data_modal="popup" })
                                    </td>
                                </tr>

                            }
                        </tbody>
                    </table>
                    @Html.Partial("_paggedBar", Model)
                </div>
            </div>
        </div>
    </div>
</div>
<!-- ============================================================== -->
<!-- End PAge Content -->
<!-- ============================================================== -->
@section scripts{
    <script>
        function modalFormExecute(key, result) {
            window.location.href = "/Admin/Services"
        }
    </script>
    }